## vertex 0.1.10-1

=== vertex/Makefile ===
# Platform Configurator generated Makefile
#
PREFIX = /home/macan/src/pkg/vertex-0.1.10/debian/vertex/usr

CFLAGS = -O2 -DHAVE_IMLIB `gtk-config --cflags` 

INC_DIRS =

LIBS = -lm -lImlib -lGL -lGLU -lpthread `gtk-config --libs` -lgtkgl

LIB_DIRS =  -L/usr/X11R6/lib/ -L/usr/X11R6/lib/ -L/usr/X11R6/lib/

CC = cc

CPP = c++

# Appended stuff starts here
#

# C++ flags:
CPPFLAGS = -D__cplusplus -Dc_plusplus

# Source files list:
include Makefile.srclist

# Compiler set up:
BIN     = vertex
OBJ_C   = $(SRC_C:.c=.o)
OBJ_CPP = $(SRC_CPP:.cpp=.o)
.c.o:
	+$(CC) -c $*.c $(INC_DIRS) $(CFLAGS)
.cpp.o:
	+$(CPP) -c $*.cpp $(INC_DIRS) $(CFLAGS) $(CPPFLAGS)

# Build rules:
EXPORT_COMPILETIMEINFO_H = echo -n -e "\
\#ifndef COMPILETIMEINFO_H\n\
\#define COMPILETIMEINFO_H\n\
\#define COMPILE_COMPILER\t\"`$(CPP) --version`\"\n\
\#define COMPILE_USER\t\t\"$(USER)\"\n\
\#define COMPILE_LOCATION\t\"`uname -n`\"\n\
\#define COMPILE_DATE\t\t`date +\"%s\"`\n\
\#endif\t/* COMPILETIMEINFO_H */\n"

$(BIN): $(OBJ_C) $(OBJ_CPP) 
	$(CPP) $(OBJ_C) $(OBJ_CPP) -o $(BIN) $(LIBS) $(LIB_DIRS)

config:
	$(EXPORT_COMPILETIMEINFO_H) > compiletimeinfo.h

all: config $(BIN)


# Install Rules:
include Makefile.install.UNIX


# Maintainance and Misc Rules:
clean:
	rm -f a.out core *.o $(BIN)

=== debian/changelog ===
vertex (0.1.10-1) unstable; urgency=low

  * New upstream version

 -- Eduardo Marcel Macan <macan@debian.org>  Sat,  6 Apr 2002 21:51:59 +0000

vertex (0.1.6-1.2) unstable; urgency=low

  * NMU (Eduardo asked me to take care of this while he's away)
  * debian/rules: added a link to the /usr/share/vertex/LICENSE
    file wich is used in the "user installation" program.
    (Closes: #11832)
  * debian/rules: some cleaning here.
  * debian/control: changed build-depends on xlibmesa-dev to
    xlibmesa-dev|libgl-dev

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 21 Nov 2001 21:17:35 -0200

vertex (0.1.6-1.1) unstable; urgency=low

  * NMU to fix build-failures
  * debian/control:
    - added Build-Depends on gtkglarea5-dev, imlib-dev, xlibmesa-dev
      (Closes: #117406)
    - bumped Standards-Version
    - cleaned up package description a little

 -- Branden Robinson <branden@debian.org>  Mon,  5 Nov 2001 12:20:46 -0500

vertex (0.1.6-1) unstable; urgency=low

  * Initial Release (closes: #110174) .

 -- Eduardo Marcel Macan <macan@debian.org>  Wed, 10 Oct 2001 18:03:49 -0300

=== debian/control ===
Source: vertex
Section: graphics
Priority: optional
Maintainer: Eduardo Marcel Macan <macan@debian.org>
Build-Depends: debhelper (>> 3.0.0), gtkglarea5-dev, imlib-dev, xlibmesa-dev|libgl-dev
Standards-Version: 3.5.6

Package: vertex
Architecture: any
Depends: ${shlibs:Depends}
Description: a GTK+OpenGL 3D modeller
 Vertex is a 3D modeller designed specifically for generating efficient
 models for (but not limited to) games and applications using OpenGL's
 style of graphics rendering.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# This package can be optimized to some specific architectures
	# you can probably gain performance if you take the following
	# disables out and regenerate it from source.
	./configure Linux  --prefix=$(CURDIR)/debian/vertex/usr \
	--CFLAGS="-O2 -Wall" -v --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
        --disable="arch-i486" \
        --disable="arch-i586" \
        --disable="arch-i686" \
        --disable="arch-pentiumpro" 


	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/vertex.sgml > vertex.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f pconf/pconf

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/vertex.
	$(MAKE) install prefix=$(CURDIR)/debian/vertex
#FIXME: lets just move the man tree to the place it should be
	mv $(CURDIR)/debian/vertex/usr/man $(CURDIR)/debian/vertex/usr/share
#FIXME: lets get rid of a GPL file in a strange place and link the
#	/usr/share/common-licenses/GPL file to it, as it is needed
#	by the vertex "user installation" (see binary-rch)
	rm $(CURDIR)/debian/vertex/usr/share/vertex/LICENSE


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_link usr/share/common-licenses/GPL-2 \
		usr/share/vertex/LICENSE
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## vertex 0.1.14

=== Makefile ===
ALL_SRC_DIRS=vertex
all config install clean:
	@for subdir in $(ALL_SRC_DIRS); do				\
	  make -C $$subdir -f Makefile $@; 				\
	done

## vertex 0.1.15

=== Makefile ===
ALL_SRC_DIRS=vertex
all config install clean:
	@for subdir in $(ALL_SRC_DIRS); do			\
	  make -C $$subdir -f Makefile $@; 			\
	done
